By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
424,963 Members | 1,321 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 424,963 IT Pros & Developers. It's quick & easy.

Which version of PHP ?

P: n/a

Is there any way (perhaps a script?) to tell what the
minimum version of PHP is for a given script without having
to trawl through every command?

I develop on PHP 5.0 but have tried to keep everything below 4.3
because that seems to be the highest release on a lot of ISP
systems.

I'm looking for a way to test without having to install lower versions ?

Thanks
May 22 '07 #1
Share this Question
Share on Google+
2 Replies


P: n/a
On 22 Mai, 14:25, harvey <harvey....@blueyonzders.comwrote:
Is there any way (perhaps a script?) to tell what the
minimum version of PHP is for a given script without having
to trawl through every command?

I develop on PHP 5.0 but have tried to keep everything below 4.3
because that seems to be the highest release on a lot of ISP
systems.

I'm looking for a way to test without having to install lower versions ?

Thanks
You can use the PEAR Package PHP_CompatInfo to find out the minimum
php version. I haven't tried it, but it seems work fine (stable
release).

http://pear.php.net/package/PHP_CompatInfo
purcaholic

May 22 '07 #2

P: n/a
On 22 Mai, 14:25, harvey <harvey....@blueyonzders.comwrote:
Is there any way (perhaps a script?) to tell what the
minimum version of PHP is for a given script without having
to trawl through every command?

I develop on PHP 5.0 but have tried to keep everything below 4.3
because that seems to be the highest release on a lot of ISP
systems.

I'm looking for a way to test without having to install lower versions ?

Thanks
You can use the PEAR Package PHP_CompatInfo to find out the minimum
php version. I haven't tried it, but it seems work fine (stable
release).

http://pear.php.net/package/PHP_CompatInfo
purcaholic

May 22 '07 #3

This discussion thread is closed

Replies have been disabled for this discussion.